> For the complete documentation index, see [llms.txt](https://developers.lfj.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.lfj.gg/poe/poe-contracts.md).

# POE Contracts

### Shared protocol contracts

<table><thead><tr><th width="271.76953125">Contract</th><th>Address</th></tr></thead><tbody><tr><td>Factory (and beacon for pools)</td><td><code>0x78120F2C0EBF0cc8B7E7749e62D36e6523dD711D</code></td></tr><tr><td>Router</td><td><code>0x5a2D87017465C7e91AdB87bc2181394C612Fa1bd</code></td></tr><tr><td>ClapOracle</td><td><code>0x33176bE288E54c440941d407dF33456A23eDE078</code></td></tr><tr><td>OraclePool implementation</td><td><code>0xc83a1F88b4a9a71806C52fa00669f2735a9d359b</code></td></tr><tr><td>FeeRewarder implementation</td><td><code>0x94d2761151f81b096B27D422EF371a36D3f63044</code></td></tr><tr><td>ExtraRewarder implementation</td><td><code>0x4202A91769810fa6Ff8Fc7FCC0724D657ddcfDB3</code></td></tr></tbody></table>

### Per-chain pools

#### Monad (chain ID 143)

| Pair      | Pool                                         | FeeRewarder                                  | tokenX                                            | tokenY                                            |
| --------- | -------------------------------------------- | -------------------------------------------- | ------------------------------------------------- | ------------------------------------------------- |
| WMON/USDC | `0x02A8A16613a421EabaD6861fF6d8159f6D5EDB8f` | `0xc4990EEbd3D0EE22a384f99dFEf5A1909eeEc923` | WMON `0x3bd359C1119dA7Da1D913D1C4D2B7c461115433A` | USDC `0x754704Bc059F8C67012fEd69BC8A327a5aafb603` |
| AUSD/USDC | `0x06C526964bFB06c6BAAC17fF91a36EC671382171` | `0x38b8B663346F1b6F3290717756733bD234E0C331` | AUSD `0x00000000eFE302BEAA2b3e6e1b18d08D69a9012a` | USDC `0x754704Bc059F8C67012fEd69BC8A327a5aafb603` |

#### Avalanche C-Chain (chain ID 43114)

Same protocol addresses as above; pool list to be populated as pairs are deployed.

### Discovering pools on-chain

The Factory keeps a registry — you can list every pool with `getPoolsLength()` + `getPoolAt(i)`, or resolve a specific pair with `getPool(tokenX, tokenY)`. See Discovering Pools for examples.

ABIs are available in the [project repository](https://github.com/lfj-gg) under `abis/`. For integration questions reach out on Discord or via <bd@lfj.gg>.

***

## Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.lfj.gg/poe/poe-contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.lfj.gg/poe/poe-contracts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
